MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
GunzipReader Class Referencefinal

A filter that decompresses data using zlib. More...

`#include <GunzipReader.hxx>`

Inheritance diagram for GunzipReader:
[legend]
Collaboration diagram for GunzipReader:
[legend]

## Public Member Functions
| GunzipReader (Reader &_next)
| Construct the filter. More...
| ~GunzipReader ()
size_t | Read (void *data, size_t size) override
| Read data from the stream. More...
Public Member Functions inherited from Reader
| Reader ()=default
| Reader (const Reader &)=delete

## Detailed Description

A filter that decompresses data using zlib.

Definition at line 33 of file GunzipReader.hxx.

## Constructor & Destructor Documentation

GunzipReader::GunzipReader | ( | Reader & | _next | ) |
| explicit

Construct the filter.

GunzipReader::~GunzipReader | ( |  | ) |
| inline

Definition at line 48 of file GunzipReader.hxx.

## Member Function Documentation

size_t GunzipReader::Read | ( | void * | data,
|  | size_t | size
| ) |  |
| override virtual

Read data from the stream.

Returns
  the number of bytes read into the given buffer or 0 on end-of-stream

Implements Reader.

The documentation for this class was generated from the following file:

- fs/io/GunzipReader.hxx